﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$folder   = "$toolsDir/download"

# download and extract zip setup file
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=flash'
    unzipLocation  = $folder
    checksum       = 'ce02db80bc3bb636ee28c907b0bcbc5a44588ff922eae18a8038e12f6333038b'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

# install setup
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'
    silentArgs     = '/SILENT'
    file           = "$folder/FlashBuilderSetup.exe"
    validExitCodes = @(0)
}
Install-ChocolateyInstallPackage @packageArgs

# delete downloaded files
Remove-Item "$folder/*.*"
Remove-Item "$folder"
